Add-ons Site General Discussion

Anything to do with the Pale Moon add-ons website. (addons.palemoon.org)
Not for questions about add-ons themselves!
Forum rules
Important: This board is for specifics regarding the add-ons website (addons.palemoon.org) and not to report extension compatibility issues or discuss different extensions.
Please only post here when your topic is directly related to the add-ons website service so our moderators don't have to move your posts all the time...
Kali67

Re: General Thread

Post by Kali67 » 2014-10-11, 18:03

Kali67 wrote:On the web site: https://play.google.com/store the search bar is not visible.

On the web site: http://www.google.pl/imghp?hl=pl&tab=8i
(f.e. http://www.google.pl/search?tbm=isch&hl ... 9v7g_6tsH0)
all the images are presented differently like before upgrade PM to v25. When you click on the image occurs immediately redirected to a web page with the image. No longer available preview images after click on a one.
Matt A Tobin wrote:
Tell google about for sure but a workaround is a site specific user agent override. Check the release notes for instructions and search the forum.
Thank you very much for the "help". Before the upgrade to v25 I did not have to do anything with PM. Pale Moon previously worked flawlessly. After the update to v25 PM is no longer like before upgrade. There are many of problems. Also almost all of my plugins stopped working. Has anyone tested the PM before release V25? Additionally, before You release upgrade to v25 not prepared language versions. I think that's not the way with the PM.

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 27829
Joined: 2011-08-28, 17:27
Location: Tranås, SE
Contact:

Re: General Thread

Post by Moonchild » 2014-10-11, 18:31

Kali67 wrote:Thank you very much for the "help". Before the upgrade to v25 I did not have to do anything with PM. Pale Moon previously worked flawlessly. After the update to v25 PM is no longer like before upgrade. There are many of problems.
You say there are "many problems" without actually elaborating what these problems are, specifically. That doesn't allow us to assist you.
Also almost all of my plugins stopped working.
I think you mean extensions? Plugins would in no way be influenced by the changes. If they were, then you should check if your internet security software or similar has done something unsavory to the pale Moon browser (e.g. put it in quarantine or a sandbox, restricted internet access, or similar).

There are a number of extensions with compatibility issues, and we are working on providing versions of these extensions specifically for Pale Moon to "fill the gap". That is what this thread is mainly about: the Pale Moon add-ons site to provide users with Pale Moon specific extensions and themes, and work as a portal to both "known good" extensions and information about Firefox compatible extensions.
As the most recent FAQ entry will explain, extensions not working is not necessarily a problem with the browser, but rather with the extensions being restrictive as to what they will run on.
Kali67 wrote:Has anyone tested the PM before release V25?
Plenty of people! We have a team of beta testers and we've had 3 betas and 2 release candidates that were tested before the final builds.
On top, Pale Moon 25 has had a public beta. So you could say the world has tested it before release. :)
Kali67 wrote:Additionally, before You release upgrade to v25 not prepared language versions. I think that's not the way with the PM.
Updated language packs were released in tandem with the new version of the browser (I've even added 9 more languages!). Yes, this new version requires you to download an updated language pack. Also, please keep in mind that Pale Moon doesn not come pre-configured in multiple languages, and that the language packs are a courtesy addition to an otherwise English language product, created and supported by volunteer translators. I do not understand your statement - everything has been immediately available.
"There will be times when the position you advocate, no matter how well framed and supported, will not be accepted by the public simply because you are who you are." -- Merrill Rose
Image

edrtf20
Apollo supporter
Apollo supporter
Posts: 48
Joined: 2014-10-11, 18:15
Location: A dark cave

Re: General Thread

Post by edrtf20 » 2014-10-11, 18:46

I didn't want to clog up the compatibility thread with this, so I'll post it here. I have had a little look at some of the addons to see if they work, so far these addons seem to work:

Will work as of Pale moon 25.0.1 (Jetpack SDK fix)
Fastest Search
Privacy Badger
Self Destructing Cookies

Guid in windowtypes.js and mozgestcommon.js
Mouse gestures redox

Guid in chrome.manifest
Fox clocks
G Translate
Bookmark Favicon Changer
Feedly

(Only fix the addons if you feel comfortable doing so, otherwise wait for a more official fix)
Last edited by edrtf20 on 2014-10-13, 17:34, edited 2 times in total.

User avatar
Moonchild
Pale Moon guru
Pale Moon guru
Posts: 27829
Joined: 2011-08-28, 17:27
Location: Tranås, SE
Contact:

Re: General Thread

Post by Moonchild » 2014-10-11, 18:59

@edrtf20

Thanks for the pointers, I'll be able to integrate the engine changes in the SDK to reduce problems with some Jetpack addons. :)
Greatly appreciated that you shared this! I overlooked a number of modules when updating the SDK, it seems.
"There will be times when the position you advocate, no matter how well framed and supported, will not be accepted by the public simply because you are who you are." -- Merrill Rose
Image

11ryanc
Fanatic
Fanatic
Posts: 188
Joined: 2013-11-19, 17:31
Location: Venus

Re: General Thread

Post by 11ryanc » 2014-10-11, 19:16

Reporting this addon as broken in PM 25x https://addons.mozilla.org/en-US/firefo ... ranslator/
Not really much fuss compatibility wise for me at the moment as most of my stuff still works, why I like to refrain from using many addons. This however is one I find very useful and hope to see it fixed. Reporting it to the developer.
All my other stuff, GreeseMonkey, Stylish, Download Helper, Restart My Fox, (and a few minor GUI mod extensions) just about remain to work.

edrtf20
Apollo supporter
Apollo supporter
Posts: 48
Joined: 2014-10-11, 18:15
Location: A dark cave

Re: General Thread

Post by edrtf20 » 2014-10-11, 21:00

@Moonchild
Glad to know the findings were useful.


Also considering Mouse gestures redox is no longer developed would it be worth attaching a copy of the edited xpi ?

riiis
Lunatic
Lunatic
Posts: 458
Joined: 2014-05-17, 15:51
Location: USA

Re: General Thread

Post by riiis » 2014-10-12, 03:40

edrtf20 wrote: Fastest Search
Privacy Badger
Self Destructing Cookies

To get these addons working (and other jetpack based extensions with a similar problem) ...
edrtf20's solution worked to get "Self Destructing Cookies" working for me in Pale Moon 25, with two qualifications:

1. Pale Moon also has to be added to the "selection.js" file (in the same folder as "panel.js" and "widget.js").
2. There's an extra, what looks like a curly brace, in edrtf20's change-to code. I used the code from "windows.js", in all three changed files, instead:
module.metadata = {
'stability': 'stable',
'engines': {
'Firefox': '*',
'PaleMoon': '*',
'Fennec': '*'
}
};
I also tested another add-on, which had previously been reported as incompatible with PM25 and which used the add-on sdk (https://addons.mozilla.org/en-US/firefo ... version-24). The "deduplicate-tabs version 24" add-on also now works properly in Pale Moon 25.

User avatar
New Tobin Paradigm
Knows the dark side
Knows the dark side
Posts: 7834
Joined: 2012-10-09, 19:37
Location: Space, maybe..

Re: General Thread

Post by New Tobin Paradigm » 2014-10-12, 03:48

Well hot damn..
Image
- Mars will never be free until the sands run red with Earther blood! -

Image

mikeysc

Re: General Thread

Post by mikeysc » 2014-10-12, 04:48

IF PM is continuing to use Mozilla SDK code updates (I'm not sure how that is handled), then it may not be necessary to modify all these files. Moz team has a bug fix in line to fix at least some of these files. I think the approved solution was just to remove the engines altogether (don't have the bugzilla # handy but it was in a link I posted a while back; can find it when I wake up). They may have been doing only three files, which may not solve everything. Where possible though it's best if the initial code developers fix it once so users and 3rd party builders don't have to redo the changes each time.

User avatar
New Tobin Paradigm
Knows the dark side
Knows the dark side
Posts: 7834
Joined: 2012-10-09, 19:37
Location: Space, maybe..

Re: General Thread

Post by New Tobin Paradigm » 2014-10-12, 05:19

mikeysc wrote:IF PM is continuing to use Mozilla SDK code updates (I'm not sure how that is handled), then it may not be necessary to modify all these files. Moz team has a bug fix in line to fix at least some of these files. I think the approved solution was just to remove the engines altogether (don't have the bugzilla # handy but it was in a link I posted a while back; can find it when I wake up). They may have been doing only three files, which may not solve everything. Where possible though it's best if the initial code developers fix it once so users and 3rd party builders don't have to redo the changes each time.
Our SDK source is fairly static.. Though we can make changes.. we have no plans to update the sdk for reasons..
Image
- Mars will never be free until the sands run red with Earther blood! -

Image

edrtf20
Apollo supporter
Apollo supporter
Posts: 48
Joined: 2014-10-11, 18:15
Location: A dark cave

Re: General Thread

Post by edrtf20 » 2014-10-12, 10:24

Matt A Tobin wrote:Well hot damn..
Looks like you will need to trawl through all the extensions again to see what works :lol:
Last edited by edrtf20 on 2014-10-12, 12:39, edited 3 times in total.

User avatar
New Tobin Paradigm
Knows the dark side
Knows the dark side
Posts: 7834
Joined: 2012-10-09, 19:37
Location: Space, maybe..

Re: General Thread

Post by New Tobin Paradigm » 2014-10-12, 12:09

Thank you for your submission and I have downloaded then but removed the links.. Please see this thread: viewtopic.php?f=16&t=5951 for proper guidelines and instructions
Image
- Mars will never be free until the sands run red with Earther blood! -

Image

edrtf20
Apollo supporter
Apollo supporter
Posts: 48
Joined: 2014-10-11, 18:15
Location: A dark cave

Re: General Thread

Post by edrtf20 » 2014-10-12, 12:17

Well, It wasn't really a proper submission, it was just a temporary solution for people to use until you or someone did a proper edit. (in future I think I will just state what the problem is with the extension)

User avatar
New Tobin Paradigm
Knows the dark side
Knows the dark side
Posts: 7834
Joined: 2012-10-09, 19:37
Location: Space, maybe..

Re: General Thread

Post by New Tobin Paradigm » 2014-10-12, 12:51

edrtf20 wrote:Well, It wasn't really a proper submission, it was just a temporary solution for people to use until you or someone did a proper edit. (in future I think I will just state what the problem is with the extension)
Thank you
Image
- Mars will never be free until the sands run red with Earther blood! -

Image

MonoS

Regarding PM v25 NicoFox compatibility

Post by MonoS » 2014-10-12, 15:13

Being the project open source [source here https://github.com/littlebtc/nicofox ] i took a look at where the problem can lay.

Moonchild said that some extension have the FF GUID hardcoded in the code, so i searched for the FF GUID and found that

Code: Select all

ec8030f7-c20a-464f-9b0e-13a3a9e97384
So i searched a bit into the NicoFox's files and found that in file chrome.manifest there are 4 instanced of this GUID on line 10-13

Code: Select all

# Themes related
overlay chrome://browser/content/browser.xul chrome://nicofox/content/firefoxOverlay.xul application={ec8030f7-c20a-464f-9b0e-13a3a9e97384}
overlay chrome://global/content/customizeToolbar.xul chrome://nicofox/content/customizeToolbarOverlay.xul application={ec8030f7-c20a-464f-9b0e-13a3a9e97384}
override chrome://nicofox/skin/toolbar.css chrome://nicofox/skin/toolbarMac.css os=Darwin application={ec8030f7-c20a-464f-9b0e-13a3a9e97384}
override chrome://nicofox/skin/toolbar.css chrome://nicofox/skin/toolbarLinux.css os=Linux application={ec8030f7-c20a-464f-9b0e-13a3a9e97384}
and another instance on file install.rdf on line 21

Code: Select all

        <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id> <!-- Firefox / Iceweasel ... -->
Is it enough tochange this GUID with the PM one for making the extension work again??

Thanks for the attention

User avatar
ron_1
Moon Magic practitioner
Moon Magic practitioner
Posts: 2254
Joined: 2012-06-28, 01:20

Re: General Thread

Post by ron_1 » 2014-10-12, 18:08

Question: If an add-on works "out of the box" with version 25, is it safe to assume that such add-on would also work with future versions of Pale Moon? Would it also be safe to assume future versions of such an add-on would also continue to work? Or is there no guarantee of that? Just wondering.

Sorry if I wasn't supposed to put this here. There is no button for "New Topic" under "Browser Add-ons"

User avatar
Sajadi
Board Warrior
Board Warrior
Posts: 1101
Joined: 2013-04-19, 00:46

Re: General Thread

Post by Sajadi » 2014-10-12, 18:46

If an add-on's future version is based on Australis only, it will most likely not work with Pale Moon - I do not know if it is possible to modify it that way that it would work, but i guess hoping for that one... in that case you have more or less bad cards.

As long as an add-on is not exclusively targeting the Australis UI only, things are different, in that case it will work or you need to modify it a bit. So, to make sure add-ons are not only Australis only, you better contact the developer of the add-ons which you want to have also for Pale Moon. But as it already was stated here quite some time, add-on devs are as it seems not that interested in supporting Pale Moon....

User avatar
New Tobin Paradigm
Knows the dark side
Knows the dark side
Posts: 7834
Joined: 2012-10-09, 19:37
Location: Space, maybe..

Re: Regarding PM v25 NicoFox compatibility

Post by New Tobin Paradigm » 2014-10-12, 21:06

Psuedo-static version will be forthcoming.. Stay tuned to the add-ons site.
Image
- Mars will never be free until the sands run red with Earther blood! -

Image

User avatar
__NM64__
Lunatic
Lunatic
Posts: 257
Joined: 2013-10-17, 05:29
Location: Northeast Ohio

Information for addon developers?

Post by __NM64__ » 2014-10-12, 21:47

I know that the addons page is still being developed, but I noticed that there's pretty much no information specifically for addon developers, or at least this information isn't easily found.

How would a dev know what to do to add Pale Moon support and/or get their addon listed on the website?

User avatar
New Tobin Paradigm
Knows the dark side
Knows the dark side
Posts: 7834
Joined: 2012-10-09, 19:37
Location: Space, maybe..

Re: Information for addon developers?

Post by New Tobin Paradigm » 2014-10-12, 22:57

We are SO not there yet.. The prime focus right now is on pseudo-static add-ons to mitigate the broken ones. THEN we can work on independent developers getting listed.. However, it will have to be through the forums and via me.
Image
- Mars will never be free until the sands run red with Earther blood! -

Image

Locked